<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Game Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classGame-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Game Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_8hpp_source.html">game.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Game:</div>
<div class="dyncontent">
<div class="center"><img src="classGame__coll__graph.png" border="0" usemap="#Game_coll__map" alt="Collaboration graph"/></div>
<map name="Game_coll__map" id="Game_coll__map">
<area shape="rect" title=" " alt="" coords="5,175,169,927"/>
<area shape="rect" href="classChatBackend.html" title=" " alt="" coords="19,5,156,112"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad59df6562a58a614fda24622d3715b65"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ad59df6562a58a614fda24622d3715b65">Game</a> ()</td></tr>
<tr class="separator:ad59df6562a58a614fda24622d3715b65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9fe4953f94562d5d6d2aae75935a46"><td class="memItemLeft" align="right" valign="top"><a class="el" href="game_8hpp.html#a896617de6e1c82953f407789633057d8">GamePhase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a6a9fe4953f94562d5d6d2aae75935a46">gamePhase</a> () const</td></tr>
<tr class="separator:a6a9fe4953f94562d5d6d2aae75935a46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac28e4514efb0379adc99bbf1e4e1997b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ac28e4514efb0379adc99bbf1e4e1997b">gameID</a> () const</td></tr>
<tr class="separator:ac28e4514efb0379adc99bbf1e4e1997b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9587e0a1c5e0e8afb4e3febbe11c8a7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#aa9587e0a1c5e0e8afb4e3febbe11c8a7">currNarrator</a> () const</td></tr>
<tr class="separator:aa9587e0a1c5e0e8afb4e3febbe11c8a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad04ded59da6b52a0c5c29403a8abaaab"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ad04ded59da6b52a0c5c29403a8abaaab">numOfPlayers</a> () const</td></tr>
<tr class="separator:ad04ded59da6b52a0c5c29403a8abaaab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6eb99acf1dbf29beddd2efdb30ca6c0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ac6eb99acf1dbf29beddd2efdb30ca6c0">maxPlayers</a> () const</td></tr>
<tr class="separator:ac6eb99acf1dbf29beddd2efdb30ca6c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae35bdf620923ae041bfe63e06c13b69b"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classPlayer.html">Player</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ae35bdf620923ae041bfe63e06c13b69b">players</a> () const</td></tr>
<tr class="separator:ae35bdf620923ae041bfe63e06c13b69b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ceca53aa9c7816b57f06b9b5db34e37"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a3ceca53aa9c7816b57f06b9b5db34e37">clue</a> () const</td></tr>
<tr class="separator:a3ceca53aa9c7816b57f06b9b5db34e37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb7a4244a7f4100fdbcffcaef0324c42"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#aeb7a4244a7f4100fdbcffcaef0324c42">narratorCard</a> () const</td></tr>
<tr class="separator:aeb7a4244a7f4100fdbcffcaef0324c42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a515351271edfe357163363ed86ae4e69"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a515351271edfe357163363ed86ae4e69">commonPile</a> () const</td></tr>
<tr class="separator:a515351271edfe357163363ed86ae4e69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab385cc5897dcc650ed16ee8b310a19c2"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ab385cc5897dcc650ed16ee8b310a19c2">votes</a> ()</td></tr>
<tr class="separator:ab385cc5897dcc650ed16ee8b310a19c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaf67d9df43b01a47b0d577377edb8cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#afaf67d9df43b01a47b0d577377edb8cf">setGameId</a> (int newId)</td></tr>
<tr class="separator:afaf67d9df43b01a47b0d577377edb8cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0879ea0ba66526dd5a2122907d9b9727"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a0879ea0ba66526dd5a2122907d9b9727">addPlayer</a> (const QJsonObject &amp;config)</td></tr>
<tr class="separator:a0879ea0ba66526dd5a2122907d9b9727"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ec82bc369af3c90c76c800e3c218922"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a4ec82bc369af3c90c76c800e3c218922">addPlayer</a> (<a class="el" href="classPlayer.html">Player</a> &amp;p)</td></tr>
<tr class="separator:a4ec82bc369af3c90c76c800e3c218922"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5088218506361da372f8333034c79a2c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a5088218506361da372f8333034c79a2c">removePlayer</a> (const QJsonObject &amp;config)</td></tr>
<tr class="separator:a5088218506361da372f8333034c79a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8450dc8e6a7c458fd9bd36c888243f0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#af8450dc8e6a7c458fd9bd36c888243f0">initializeGame</a> (const QJsonObject &amp;config)</td></tr>
<tr class="separator:af8450dc8e6a7c458fd9bd36c888243f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8638ccdb0ef3bf39a6affa30aa1258f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ae8638ccdb0ef3bf39a6affa30aa1258f">startGame</a> ()</td></tr>
<tr class="separator:ae8638ccdb0ef3bf39a6affa30aa1258f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a49f22f845dd5ddd3df9c83dd5df11e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a3a49f22f845dd5ddd3df9c83dd5df11e">drawCards</a> ()</td></tr>
<tr class="separator:a3a49f22f845dd5ddd3df9c83dd5df11e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accbaf77d64f3ccf581153aff8faaf5b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#accbaf77d64f3ccf581153aff8faaf5b0">narratorChoice</a> (int cardId, const std::string &amp;<a class="el" href="classGame.html#a3ceca53aa9c7816b57f06b9b5db34e37">clue</a>)</td></tr>
<tr class="separator:accbaf77d64f3ccf581153aff8faaf5b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eb0a092d23b426a8b4b03c4083b7afe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a8eb0a092d23b426a8b4b03c4083b7afe">shuffleDeck</a> ()</td></tr>
<tr class="separator:a8eb0a092d23b426a8b4b03c4083b7afe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d41d77fc4fa2cf4519a9f4142b96ab9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a1d41d77fc4fa2cf4519a9f4142b96ab9">playerChoice</a> (int playerId, int cardId)</td></tr>
<tr class="separator:a1d41d77fc4fa2cf4519a9f4142b96ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3c5f445a0b28b57542e10a3e4d1565c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ae3c5f445a0b28b57542e10a3e4d1565c">playerVote</a> (int voteFromId, int cardId)</td></tr>
<tr class="separator:ae3c5f445a0b28b57542e10a3e4d1565c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ad48f77e98b18d96d8b5ea63cfa81b5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a2ad48f77e98b18d96d8b5ea63cfa81b5">updatePoints</a> ()</td></tr>
<tr class="separator:a2ad48f77e98b18d96d8b5ea63cfa81b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a987b5442cddbc9376b7fe55a9fcbd42e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a987b5442cddbc9376b7fe55a9fcbd42e">endTurn</a> ()</td></tr>
<tr class="separator:a987b5442cddbc9376b7fe55a9fcbd42e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5ee558bfb7692007efba4e5e74752d1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ae5ee558bfb7692007efba4e5e74752d1">checkIfOver</a> ()</td></tr>
<tr class="separator:ae5ee558bfb7692007efba4e5e74752d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52cf1826f066a223e44f3c00ac13bc05"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a52cf1826f066a223e44f3c00ac13bc05">toJson</a> ()</td></tr>
<tr class="separator:a52cf1826f066a223e44f3c00ac13bc05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae70cdf0ec3352debb3f98ca127e55151"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ae70cdf0ec3352debb3f98ca127e55151">toJsonString</a> ()</td></tr>
<tr class="separator:ae70cdf0ec3352debb3f98ca127e55151"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af7ed914eb11b36adad78c2bd59206a07"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classGame.html">Game</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#af7ed914eb11b36adad78c2bd59206a07">fromJson</a> (const QJsonObject &amp;o)</td></tr>
<tr class="separator:af7ed914eb11b36adad78c2bd59206a07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a97055de6b4d8160d1aba45bc286aaddc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classChatBackend.html">ChatBackend</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a97055de6b4d8160d1aba45bc286aaddc">m_chat</a></td></tr>
<tr class="separator:a97055de6b4d8160d1aba45bc286aaddc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a15a6bae5f92a346c16deb6a5076898d9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a15a6bae5f92a346c16deb6a5076898d9">notify</a> (std::string info)</td></tr>
<tr class="separator:a15a6bae5f92a346c16deb6a5076898d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3adaecee5a5ff4caa723a89bb2f861df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a3adaecee5a5ff4caa723a89bb2f861df">notifyPlayers</a> ()</td></tr>
<tr class="separator:a3adaecee5a5ff4caa723a89bb2f861df"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a03b6365f7e77ced75459196b95acde0c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a03b6365f7e77ced75459196b95acde0c">m_gameID</a></td></tr>
<tr class="separator:a03b6365f7e77ced75459196b95acde0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2dd3826bf4ba0d7278dfd1f826df8a9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ab2dd3826bf4ba0d7278dfd1f826df8a9">m_hostId</a></td></tr>
<tr class="separator:ab2dd3826bf4ba0d7278dfd1f826df8a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7926ea5b357aa57afaf1d1b274aad402"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a7926ea5b357aa57afaf1d1b274aad402">m_maxPlayers</a></td></tr>
<tr class="separator:a7926ea5b357aa57afaf1d1b274aad402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4f00650a49bd784bfd8221f8a4fb473"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classPlayer.html">Player</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#aa4f00650a49bd784bfd8221f8a4fb473">m_players</a></td></tr>
<tr class="separator:aa4f00650a49bd784bfd8221f8a4fb473"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93c4fd298263ddf4cbe17066f7c8a940"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a93c4fd298263ddf4cbe17066f7c8a940">m_idToPlayer</a></td></tr>
<tr class="separator:a93c4fd298263ddf4cbe17066f7c8a940"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabdd4d5028074dc3aaa6cee3d79c272f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#aabdd4d5028074dc3aaa6cee3d79c272f">m_currNarratorId</a></td></tr>
<tr class="separator:aabdd4d5028074dc3aaa6cee3d79c272f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a9d5bb8c9144d14d9c2b23050f3e900"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a0a9d5bb8c9144d14d9c2b23050f3e900">m_currNarrator</a></td></tr>
<tr class="separator:a0a9d5bb8c9144d14d9c2b23050f3e900"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b428da4f258e3f27fc041797a74980"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a73b428da4f258e3f27fc041797a74980">m_narratorCard</a></td></tr>
<tr class="separator:a73b428da4f258e3f27fc041797a74980"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bbf15081ffb0742597ecf1638d4a811"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a0bbf15081ffb0742597ecf1638d4a811">m_prevNarratorCard</a></td></tr>
<tr class="separator:a0bbf15081ffb0742597ecf1638d4a811"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4337a226b47598d3a7ee9639fbd737d"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#af4337a226b47598d3a7ee9639fbd737d">m_clue</a></td></tr>
<tr class="separator:af4337a226b47598d3a7ee9639fbd737d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97320237fdffa99b9734b61e4de2c50c"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a97320237fdffa99b9734b61e4de2c50c">m_commonPile</a></td></tr>
<tr class="separator:a97320237fdffa99b9734b61e4de2c50c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2e30ed3430cdcfc4fe0ca8cbc17c732"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#ae2e30ed3430cdcfc4fe0ca8cbc17c732">m_votes</a></td></tr>
<tr class="separator:ae2e30ed3430cdcfc4fe0ca8cbc17c732"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aa9ffce0fda4d86900bb2c283d68cf4"><td class="memItemLeft" align="right" valign="top">std::vector&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a7aa9ffce0fda4d86900bb2c283d68cf4">m_deck</a></td></tr>
<tr class="separator:a7aa9ffce0fda4d86900bb2c283d68cf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb2c9f4602b63c6bfd7796c5c13bdf18"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#acb2c9f4602b63c6bfd7796c5c13bdf18">m_choiceCounter</a></td></tr>
<tr class="separator:acb2c9f4602b63c6bfd7796c5c13bdf18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c08b61fe342f31025615c2b7371deae"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a8c08b61fe342f31025615c2b7371deae">m_voteCounter</a></td></tr>
<tr class="separator:a8c08b61fe342f31025615c2b7371deae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57e9942a644eeba38957f2c9367e68d0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="game_8hpp.html#a896617de6e1c82953f407789633057d8">GamePhase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a57e9942a644eeba38957f2c9367e68d0">m_gamePhase</a></td></tr>
<tr class="separator:a57e9942a644eeba38957f2c9367e68d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74dd88f380dfe9edb99c25856957746f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a74dd88f380dfe9edb99c25856957746f">m_isOver</a></td></tr>
<tr class="separator:a74dd88f380dfe9edb99c25856957746f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60848e4cd251d60df45a4c556f4a8477"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGame.html#a60848e4cd251d60df45a4c556f4a8477">m_isGameStarted</a></td></tr>
<tr class="separator:a60848e4cd251d60df45a4c556f4a8477"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad59df6562a58a614fda24622d3715b65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad59df6562a58a614fda24622d3715b65">&#9670;&nbsp;</a></span>Game()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Game::Game </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0879ea0ba66526dd5a2122907d9b9727"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0879ea0ba66526dd5a2122907d9b9727">&#9670;&nbsp;</a></span>addPlayer() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::addPlayer </td>
          <td>(</td>
          <td class="paramtype">const QJsonObject &amp;&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4ec82bc369af3c90c76c800e3c218922"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ec82bc369af3c90c76c800e3c218922">&#9670;&nbsp;</a></span>addPlayer() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::addPlayer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classPlayer.html">Player</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5ee558bfb7692007efba4e5e74752d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5ee558bfb7692007efba4e5e74752d1">&#9670;&nbsp;</a></span>checkIfOver()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Game::checkIfOver </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ceca53aa9c7816b57f06b9b5db34e37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ceca53aa9c7816b57f06b9b5db34e37">&#9670;&nbsp;</a></span>clue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Game::clue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a515351271edfe357163363ed86ae4e69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a515351271edfe357163363ed86ae4e69">&#9670;&nbsp;</a></span>commonPile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt; int, int &gt; Game::commonPile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9587e0a1c5e0e8afb4e3febbe11c8a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9587e0a1c5e0e8afb4e3febbe11c8a7">&#9670;&nbsp;</a></span>currNarrator()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Game::currNarrator </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a49f22f845dd5ddd3df9c83dd5df11e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a49f22f845dd5ddd3df9c83dd5df11e">&#9670;&nbsp;</a></span>drawCards()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::drawCards </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a987b5442cddbc9376b7fe55a9fcbd42e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a987b5442cddbc9376b7fe55a9fcbd42e">&#9670;&nbsp;</a></span>endTurn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::endTurn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af7ed914eb11b36adad78c2bd59206a07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7ed914eb11b36adad78c2bd59206a07">&#9670;&nbsp;</a></span>fromJson()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGame.html">Game</a> * Game::fromJson </td>
          <td>(</td>
          <td class="paramtype">const QJsonObject &amp;&#160;</td>
          <td class="paramname"><em>o</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac28e4514efb0379adc99bbf1e4e1997b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac28e4514efb0379adc99bbf1e4e1997b">&#9670;&nbsp;</a></span>gameID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Game::gameID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a9fe4953f94562d5d6d2aae75935a46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a9fe4953f94562d5d6d2aae75935a46">&#9670;&nbsp;</a></span>gamePhase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="game_8hpp.html#a896617de6e1c82953f407789633057d8">GamePhase</a> Game::gamePhase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8450dc8e6a7c458fd9bd36c888243f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8450dc8e6a7c458fd9bd36c888243f0">&#9670;&nbsp;</a></span>initializeGame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::initializeGame </td>
          <td>(</td>
          <td class="paramtype">const QJsonObject &amp;&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac6eb99acf1dbf29beddd2efdb30ca6c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6eb99acf1dbf29beddd2efdb30ca6c0">&#9670;&nbsp;</a></span>maxPlayers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Game::maxPlayers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb7a4244a7f4100fdbcffcaef0324c42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb7a4244a7f4100fdbcffcaef0324c42">&#9670;&nbsp;</a></span>narratorCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Game::narratorCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="accbaf77d64f3ccf581153aff8faaf5b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accbaf77d64f3ccf581153aff8faaf5b0">&#9670;&nbsp;</a></span>narratorChoice()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::narratorChoice </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cardId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>clue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a15a6bae5f92a346c16deb6a5076898d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15a6bae5f92a346c16deb6a5076898d9">&#9670;&nbsp;</a></span>notify()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Game::notify </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3adaecee5a5ff4caa723a89bb2f861df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3adaecee5a5ff4caa723a89bb2f861df">&#9670;&nbsp;</a></span>notifyPlayers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Game::notifyPlayers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad04ded59da6b52a0c5c29403a8abaaab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad04ded59da6b52a0c5c29403a8abaaab">&#9670;&nbsp;</a></span>numOfPlayers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Game::numOfPlayers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d41d77fc4fa2cf4519a9f4142b96ab9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d41d77fc4fa2cf4519a9f4142b96ab9">&#9670;&nbsp;</a></span>playerChoice()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::playerChoice </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>playerId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cardId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae35bdf620923ae041bfe63e06c13b69b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae35bdf620923ae041bfe63e06c13b69b">&#9670;&nbsp;</a></span>players()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; <a class="el" href="classPlayer.html">Player</a> &gt; Game::players </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae3c5f445a0b28b57542e10a3e4d1565c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3c5f445a0b28b57542e10a3e4d1565c">&#9670;&nbsp;</a></span>playerVote()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::playerVote </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>voteFromId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cardId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5088218506361da372f8333034c79a2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5088218506361da372f8333034c79a2c">&#9670;&nbsp;</a></span>removePlayer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::removePlayer </td>
          <td>(</td>
          <td class="paramtype">const QJsonObject &amp;&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afaf67d9df43b01a47b0d577377edb8cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaf67d9df43b01a47b0d577377edb8cf">&#9670;&nbsp;</a></span>setGameId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::setGameId </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>newId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8eb0a092d23b426a8b4b03c4083b7afe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eb0a092d23b426a8b4b03c4083b7afe">&#9670;&nbsp;</a></span>shuffleDeck()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::shuffleDeck </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae8638ccdb0ef3bf39a6affa30aa1258f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8638ccdb0ef3bf39a6affa30aa1258f">&#9670;&nbsp;</a></span>startGame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::startGame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a52cf1826f066a223e44f3c00ac13bc05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52cf1826f066a223e44f3c00ac13bc05">&#9670;&nbsp;</a></span>toJson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject Game::toJson </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae70cdf0ec3352debb3f98ca127e55151"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae70cdf0ec3352debb3f98ca127e55151">&#9670;&nbsp;</a></span>toJsonString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Game::toJsonString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ad48f77e98b18d96d8b5ea63cfa81b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ad48f77e98b18d96d8b5ea63cfa81b5">&#9670;&nbsp;</a></span>updatePoints()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Game::updatePoints </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab385cc5897dcc650ed16ee8b310a19c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab385cc5897dcc650ed16ee8b310a19c2">&#9670;&nbsp;</a></span>votes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt; int, int &gt; Game::votes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a97055de6b4d8160d1aba45bc286aaddc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97055de6b4d8160d1aba45bc286aaddc">&#9670;&nbsp;</a></span>m_chat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classChatBackend.html">ChatBackend</a> Game::m_chat</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acb2c9f4602b63c6bfd7796c5c13bdf18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb2c9f4602b63c6bfd7796c5c13bdf18">&#9670;&nbsp;</a></span>m_choiceCounter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Game::m_choiceCounter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af4337a226b47598d3a7ee9639fbd737d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4337a226b47598d3a7ee9639fbd737d">&#9670;&nbsp;</a></span>m_clue</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Game::m_clue</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a97320237fdffa99b9734b61e4de2c50c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97320237fdffa99b9734b61e4de2c50c">&#9670;&nbsp;</a></span>m_commonPile</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;int, int&gt; Game::m_commonPile</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a9d5bb8c9144d14d9c2b23050f3e900"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a9d5bb8c9144d14d9c2b23050f3e900">&#9670;&nbsp;</a></span>m_currNarrator</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Game::m_currNarrator</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aabdd4d5028074dc3aaa6cee3d79c272f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabdd4d5028074dc3aaa6cee3d79c272f">&#9670;&nbsp;</a></span>m_currNarratorId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Game::m_currNarratorId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7aa9ffce0fda4d86900bb2c283d68cf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7aa9ffce0fda4d86900bb2c283d68cf4">&#9670;&nbsp;</a></span>m_deck</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;int&gt; Game::m_deck</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a03b6365f7e77ced75459196b95acde0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03b6365f7e77ced75459196b95acde0c">&#9670;&nbsp;</a></span>m_gameID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Game::m_gameID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a57e9942a644eeba38957f2c9367e68d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57e9942a644eeba38957f2c9367e68d0">&#9670;&nbsp;</a></span>m_gamePhase</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="game_8hpp.html#a896617de6e1c82953f407789633057d8">GamePhase</a> Game::m_gamePhase</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab2dd3826bf4ba0d7278dfd1f826df8a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2dd3826bf4ba0d7278dfd1f826df8a9">&#9670;&nbsp;</a></span>m_hostId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Game::m_hostId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a93c4fd298263ddf4cbe17066f7c8a940"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93c4fd298263ddf4cbe17066f7c8a940">&#9670;&nbsp;</a></span>m_idToPlayer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;int, int&gt; Game::m_idToPlayer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a60848e4cd251d60df45a4c556f4a8477"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60848e4cd251d60df45a4c556f4a8477">&#9670;&nbsp;</a></span>m_isGameStarted</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Game::m_isGameStarted</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a74dd88f380dfe9edb99c25856957746f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74dd88f380dfe9edb99c25856957746f">&#9670;&nbsp;</a></span>m_isOver</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Game::m_isOver</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7926ea5b357aa57afaf1d1b274aad402"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7926ea5b357aa57afaf1d1b274aad402">&#9670;&nbsp;</a></span>m_maxPlayers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Game::m_maxPlayers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a73b428da4f258e3f27fc041797a74980"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73b428da4f258e3f27fc041797a74980">&#9670;&nbsp;</a></span>m_narratorCard</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Game::m_narratorCard</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4f00650a49bd784bfd8221f8a4fb473"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4f00650a49bd784bfd8221f8a4fb473">&#9670;&nbsp;</a></span>m_players</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classPlayer.html">Player</a>&gt; Game::m_players</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0bbf15081ffb0742597ecf1638d4a811"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bbf15081ffb0742597ecf1638d4a811">&#9670;&nbsp;</a></span>m_prevNarratorCard</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Game::m_prevNarratorCard</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c08b61fe342f31025615c2b7371deae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c08b61fe342f31025615c2b7371deae">&#9670;&nbsp;</a></span>m_voteCounter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Game::m_voteCounter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae2e30ed3430cdcfc4fe0ca8cbc17c732"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2e30ed3430cdcfc4fe0ca8cbc17c732">&#9670;&nbsp;</a></span>m_votes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;int, int&gt; Game::m_votes</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>backend/src/lib/game/<a class="el" href="game_8hpp_source.html">game.hpp</a></li>
<li>backend/src/lib/game/<a class="el" href="game_8cpp.html">game.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
